weka.core.pmml.jaxbbindings

## Class SimplePredicate

- java.lang.Object
- - weka.core.pmml.jaxbbindings.SimplePredicate

-     public class SimplePredicate
      extends java.lang.Object

  Java class for SimplePredicate element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="SimplePredicate">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="field" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
               <attribute name="operator" use="required">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="equal"/>
                     <enumeration value="notEqual"/>
                     <enumeration value="lessThan"/>
                     <enumeration value="lessOrEqual"/>
                     <enumeration value="greaterThan"/>
                     <enumeration value="greaterOrEqual"/>
                     <enumeration value="isMissing"/>
                     <enumeration value="isNotMissing"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="value" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimplePredicate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getField()` Gets the value of the field property.
    `java.lang.String` | `getOperator()` Gets the value of the operator property.
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setField(java.lang.String value)` Sets the value of the field property.
    `void` | `setOperator(java.lang.String value)` Sets the value of the operator property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimplePredicate

          public SimplePredicate()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getField

          public java.lang.String getField()

      Gets the value of the field property.
      Returns:
        possible object is `String`

    - #### setField

          public void setField(java.lang.String value)

      Sets the value of the field property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOperator

          public java.lang.String getOperator()

      Gets the value of the operator property.
      Returns:
        possible object is `String`

    - #### setOperator

          public void setOperator(java.lang.String value)

      Sets the value of the operator property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`